## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check

%global crate snphost

Name:           rust-snphost
Version:        0.1.2
Release:        %autorelease
Summary:        Administrative utility for AMD SEV-SNP

License:        Apache-2.0
URL:            https://crates.io/crates/snphost
Source:         %{crates_source}

# snphost is a tool using features specific to AMD EPYC processors (x86_64).
ExclusiveArch:  x86_64
BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Administrative utility for AMD SEV-SNP.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}

# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# Apache-2.0
# Apache-2.0 OR MIT
# BSD-3-Clause
# MIT
# MIT OR Apache-2.0
# MPL-2.0
# Unlicense OR MIT
License:        Apache-2.0 AND BSD-3-Clause AND MIT AND MPL-2.0 AND Unicode-DFS-2016 AND (Apache-2.0 OR MIT) AND (Unlicense OR MIT)

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc README.md
%{_bindir}/snphost

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%cargo_license_summary
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Dec 01 2023 Fabio Valentini <decathorpe@gmail.com> 0.1.2-2
- Rebuild for openssl crate >= v0.10.60 (RUSTSEC-2023-0044,
  RUSTSEC-2023-0072)

* Wed Aug 02 2023 Tyler Fanelli <tfanelli@redhat.com> 0.1.2-1
- Initial package
